Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4133 - Xconfigurator fails during kickstart for VGA16 card
Summary: Xconfigurator fails during kickstart for VGA16 card
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL: http://info.stabsoft.inf.ethz.ch/secr...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-21 09:58 UTC by walter
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-02 00:51:01 UTC


Attachments (Terms of Use)

Description walter 1999-07-21 09:58:10 UTC
Kickstart installation of a Dell PowerEdge 1300 at our
site fails during X setup. When running Xconfigurator
--kickstart on the manually installed system it exits
with exit code 2.

A little debugging revealed the problem to be in the
following part of the code in Xconfigurator.c:

    if (card_selected == UNLISTED_CARD) {
        unlisted_doprobe = strcmp(state->serverbuf,"I128")
&&
            strcmp(state->serverbuf,"S3") &&
            strcmp(state->serverbuf,"S3V") &&
            strcmp(state->serverbuf,"Mach64");
    } else {

When modifying this to

    if (card_selected == UNLISTED_CARD) {
        unlisted_doprobe = strcmp(state->serverbuf,"I128")
&&
            strcmp(state->serverbuf,"S3") &&
            strcmp(state->serverbuf,"VGA16") &&
            strcmp(state->serverbuf,"S3V") &&
            strcmp(state->serverbuf,"Mach64");
    } else {

it works find. This is just an educated guess, but IMHO
a generic 16 color VGA card should not have special clock
modes detected.

The output of the "X -probeonly" that is done for
clock detection is available under the URL in the
URL: field of this bug report

Comment 1 Trond Eivind Glomsrxd 2000-07-10 18:37:17 UTC
I believe this to be fixed in 6.2 (or even 6.1)


Note You need to log in before you can comment on or make changes to this bug.